Name:          global
Version:       6.6.4
Release:       %mkrel 3
Summary:       GNU GLOBAL (source code tagging system)
Group:         Development/Tools
URL:           https://www.gnu.org/software/global/
Source0:       http://tamacom.com/global/global-%{version}.tar.gz
License:       GPLv3

BuildRequires: perl
BuildRequires: texinfo
BuildRequires: pkgconfig(ncurses)

Patch0: global-gcc10.patch


%description
GNU GLOBAL is a source code tagging system that works the 
same way across diverse environments, such as Emacs editor, 
Vi editor, Less viewer, Bash shell, various web browsers, etc.

%prep
%autosetup -n global-%{version} -p1

%build
%configure
%make_build

%install
%make_install

# python shebang
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/gtags/script/pygments_parser.py

%files
%doc AUTHORS README COPYING COPYING.LIB ChangeLog
%{_bindir}/global
%{_bindir}/gtags
%{_bindir}/globash
%{_bindir}/gozilla
%{_bindir}/gtags-cscope
%{_bindir}/htags
%{_bindir}/htags-server
%dir %{_libdir}/gtags
%{_libdir}/gtags/exuberant-ctags.a
%{_libdir}/gtags/exuberant-ctags.la
%{_libdir}/gtags/exuberant-ctags.so
%{_libdir}/gtags/pygments-parser.a
%{_libdir}/gtags/pygments-parser.la
%{_libdir}/gtags/pygments-parser.so
%{_libdir}/gtags/universal-ctags.a
%{_libdir}/gtags/universal-ctags.la
%{_libdir}/gtags/universal-ctags.so
%{_libdir}/gtags/user-custom.a
%{_libdir}/gtags/user-custom.la
%{_libdir}/gtags/user-custom.so
%dir %{_datadir}/gtags
%{_datadir}/gtags/AUTHORS
%{_datadir}/gtags/BUILD_TOOLS
%{_datadir}/gtags/COPYING
%{_datadir}/gtags/COPYING.LIB
%{_datadir}/gtags/ChangeLog
%{_datadir}/gtags/DONORS
%{_datadir}/gtags/FAQ
%{_datadir}/gtags/INSTALL
%{_datadir}/gtags/LICENSE
%{_datadir}/gtags/NEWS
%{_datadir}/gtags/PLUGIN_HOWTO
%{_datadir}/gtags/PLUGIN_HOWTO.pygments
%{_datadir}/gtags/README
%{_datadir}/gtags/README.PATCHES
%{_datadir}/gtags/SERVERSIDE_HOWTO
%{_datadir}/gtags/THANKS
%{_datadir}/gtags/completion.cgi
%{_datadir}/gtags/dot_htaccess
%{_datadir}/gtags/elvis-2.2_0.patch
%{_datadir}/gtags/elvis.rc
%{_datadir}/gtags/geco.rc
%{_datadir}/gtags/global.cgi
%{_datadir}/gtags/globash.rc
%{_datadir}/gtags/gtags-cscope.vim
%{_datadir}/gtags/gtags.conf
%{_datadir}/gtags/gtags.el
%{_datadir}/gtags/gtags.pl
%{_datadir}/gtags/gtags.vim
%dir %{_datadir}/gtags/icons
%{_datadir}/gtags/icons/back.png
%{_datadir}/gtags/icons/bottom.png
%{_datadir}/gtags/icons/c.png
%{_datadir}/gtags/icons/dir.png
%{_datadir}/gtags/icons/first.png
%{_datadir}/gtags/icons/help.png
%{_datadir}/gtags/icons/index.png
%{_datadir}/gtags/icons/last.png
%{_datadir}/gtags/icons/left.png
%{_datadir}/gtags/icons/n_bottom.png
%{_datadir}/gtags/icons/n_first.png
%{_datadir}/gtags/icons/n_last.png
%{_datadir}/gtags/icons/n_left.png
%{_datadir}/gtags/icons/n_right.png
%{_datadir}/gtags/icons/n_top.png
%{_datadir}/gtags/icons/pglobe.png
%{_datadir}/gtags/icons/right.png
%{_datadir}/gtags/icons/text.png
%{_datadir}/gtags/icons/top.png
%dir %{_datadir}/gtags/jquery
%dir %{_datadir}/gtags/jquery/images
%{_datadir}/gtags/jquery/images/file.png
%{_datadir}/gtags/jquery/images/folder-closed.png
%{_datadir}/gtags/jquery/images/folder.png
%{_datadir}/gtags/jquery/images/minus.png
%{_datadir}/gtags/jquery/images/plus.png
%{_datadir}/gtags/jquery/images/treeview-black-line.png
%{_datadir}/gtags/jquery/images/treeview-black.png
%{_datadir}/gtags/jquery/images/treeview-default-line.png
%{_datadir}/gtags/jquery/images/treeview-default.png
%{_datadir}/gtags/jquery/images/treeview-famfamfam-line.png
%{_datadir}/gtags/jquery/images/treeview-famfamfam.png
%{_datadir}/gtags/jquery/images/treeview-gray-line.png
%{_datadir}/gtags/jquery/images/treeview-gray.png
%{_datadir}/gtags/jquery/images/treeview-red-line.png
%{_datadir}/gtags/jquery/images/treeview-red.png
%{_datadir}/gtags/jquery/jquery.js
%{_datadir}/gtags/jquery/jquery.suggest.css
%{_datadir}/gtags/jquery/jquery.suggest.js
%{_datadir}/gtags/jquery/jquery.treeview.css
%{_datadir}/gtags/jquery/jquery.treeview.js
%{_datadir}/gtags/jscode_suggest
%{_datadir}/gtags/jscode_treeview
%dir %{_datadir}/gtags/script
%{_datadir}/gtags/script/elvis-global
%{_datadir}/gtags/script/global-client
%{_datadir}/gtags/script/gtags-client
%{_datadir}/gtags/script/htags-client
%{_datadir}/gtags/script/less-global
%{_datadir}/gtags/script/maps2conf.pl
%{_datadir}/gtags/script/pygments_parser.py*
%{_datadir}/gtags/script/__pycache__/
%{_datadir}/gtags/style.css
%{_datadir}/gtags/vim74-gtags-cscope.patch
%{_infodir}/global.info*
%{_mandir}/man1/global.1.*
%{_mandir}/man1/globash.1.*
%{_mandir}/man1/gozilla.1.*
%{_mandir}/man1/gtags-cscope.1.*
%{_mandir}/man1/gtags.1.*
%{_mandir}/man1/htags-server.1.*
%{_mandir}/man1/htags.1.*
%{_mandir}/man5/gtags.conf.5.*



%changelog
* Tue Jun 30 2020 joequant <joequant> 6.6.4-3.mga8
+ Revision: 1600685
- update gcc10
- fix gcc10 build

* Thu Feb 20 2020 umeabot <umeabot> 6.6.4-2.mga8
+ Revision: 1546128
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 6.6.4-1.mga8
+ Revision: 1486086
- new version: 6.6.4
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Mar 15 2019 daviddavid <daviddavid> 6.6.3-1.mga7
+ Revision: 1377199
- new version: 6.6.3
- fix some owner dir

* Sun Sep 02 2018 semiletov <semiletov> 6.6.2-1.mga7
+ Revision: 1256283
- ncurses BR has been added
- imported package global

